
Redmine - Defect #210

Can not paginate the revisions list

2008-02-01 06:06 - Iñaki Ibarrola

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

When trying to access the second page of the revisions list I get an empty list an the following message is logged in

the log.

Using this version of ruby:

ruby 1.8.6 (2007-06-07 patchlevel 36) [i486-linux]

ActionView::TemplateError (stack level too deep) on line #21 of app/views/repositories/_revisions.

rhtml:

18: <td class="checkbox"><%= radio_button_tag('rev_to', changeset.revision, (line_num==2), :id =>

"cbto-#{line_num}", :onclick => "if ($('cb-#{line_num}').checked==true)

{$('cb-#{line_num-1}').checked=true;}") if show_diff && (line_num > 1) %></td>

19: <td align="center" style="width:15%"><%= format_time(changeset.committed_on)

%></td>

20: <td align="center" style="width:15%"><em><%=h changeset.committer

%></em></td>

21: <td align="left"><%= textilizable(changeset.comments) %></td>

22: </tr>

23: <% line_num += 1 %>

24: <% end %>

    /opt/redmine-0.6.3/lib/redcloth.rb:986:in `glyphs_textile'

    /opt/redmine-0.6.3/lib/redcloth.rb:1001:in `glyphs_textile'

 [ a lot of messages like these ]

  /opt/redmine-0.6.3/lib/redcloth.rb:1001:in `glyphs_textile'

    /opt/redmine-0.6.3/lib/redcloth.rb:991:in `gsub!'

    /opt/redmine-0.6.3/lib/redcloth.rb:991:in `glyphs_textile'

    /opt/redmine-0.6.3/lib/redcloth.rb:1055:in `call'

    /opt/redmine-0.6.3/lib/redcloth.rb:1055:in `inline'

    /opt/redmine-0.6.3/lib/redcloth.rb:1054:in `each'

    /opt/redmine-0.6.3/lib/redcloth.rb:1054:in `inline'

    /opt/redmine-0.6.3/lib/redcloth.rb:1053:in `each'

    /opt/redmine-0.6.3/lib/redcloth.rb:1053:in `inline'

    /opt/redmine-0.6.3/lib/redcloth.rb:303:in `to_html'

    /opt/redmine-0.6.3/lib/redmine/wiki_formatting.rb:39:in `to_html'

    /opt/redmine-0.6.3/lib/redmine/wiki_formatting.rb:157:in `to_html'

    /opt/redmine-0.6.3/app/helpers/application_helper.rb:183:in `textilizable'

    /opt/redmine-0.6.3/app/views/repositories/_revisions.rhtml:21:in

`_run_rhtml_47app47views47repositories47_revisions46rhtml'

    /opt/redmine-0.6.3/app/views/repositories/_revisions.rhtml:14:in `each'

    /opt/redmine-0.6.3/app/views/repositories/_revisions.rhtml:14:in

`_run_rhtml_47app47views47repositories47_revisions46rhtml'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:108:in `c

all'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:108:in

`capture_erb_with_buffer'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/helpers/capture_helper.rb:67:in `ca

pture'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/helpers/form_tag_helper.rb:51:in `f

orm_tag'
    /opt/redmine-0.6.3/app/views/repositories/_revisions.rhtml:1:in

`_run_rhtml_47app47views47repositories47_revisions46rhtml'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/base.rb:325:in `send'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/base.rb:325:in `compile_and_render_

template'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/base.rb:301:in `render_template'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/base.rb:260:in `render_file'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/base.rb:275:in `render'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/partials.rb:59:in `render_partial'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:30:in `benchm

ark'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/partials.rb:58:in `render_partial'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/base.rb:287:in `render'

    /opt/redmine-0.6.3/app/views/repositories/revisions.rhtml:10:in

`_run_rhtml_47app47views47repositories47revisions46rhtml'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/base.rb:325:in `send'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/base.rb:325:in `compile_and_render_

template'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/base.rb:301:in `render_template'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_view/base.rb:260:in `render_file'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/base.rb:812:in `render_file'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/base.rb:783:in `render_with_n

o_layout'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/layout.rb:256:in `render_with

out_benchmark'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:50:in `render

'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:50:in `render

'

    /opt/redmine-0.6.3/app/controllers/repositories_controller.rb:85:in `revisions'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:135:in `call

'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:135:in `cust

om'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:167:in `call

'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:167:in `resp

ond'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:161:in `each

'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:161:in `resp

ond'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/mime_responds.rb:105:in `resp

ond_to'

    /opt/redmine-0.6.3/app/controllers/repositories_controller.rb:84:in `revisions'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/base.rb:1101:in `send'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/base.rb:1101:in `perform_acti

on_without_filters'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/filters.rb:696:in `call_filte

rs'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/filters.rb:688:in

`perform_action_without_benchmark'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:66:in

`perform_action_without_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:66:in

`perform_action_without_rescue'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/rescue.rb:83:in `perform_acti

on'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/base.rb:435:in `send'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/base.rb:435:in `process_witho

ut_filters'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/filters.rb:684:in

`process_without_session_management_support'

    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/session_management.rb:114:in 

`process'
    /opt/redmine-0.6.3/vendor/rails/actionpack/lib/action_controller/base.rb:334:in `process'

    /opt/redmine-0.6.3/vendor/rails/railties/lib/dispatcher.rb:41:in `dispatch'

    /opt/redmine-0.6.3/vendor/rails/railties/lib/webrick_server.rb:113:in `handle_dispatch'

    /opt/redmine-0.6.3/vendor/rails/railties/lib/webrick_server.rb:79:in `service'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

    /usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

    /usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

    /usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

    /usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

    /usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

    /opt/redmine-0.6.3/vendor/rails/railties/lib/webrick_server.rb:63:in `dispatch'

    /opt/redmine-0.6.3/vendor/rails/railties/lib/commands/servers/webrick.rb:59

    /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

    /usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `require'

    /opt/redmine-0.6.3/vendor/rails/activesupport/lib/active_support/dependencies.rb:495:in `requi

re'

    /opt/redmine-0.6.3/vendor/rails/activesupport/lib/active_support/dependencies.rb:342:in `new_c

onstants_in'

    /opt/redmine-0.6.3/vendor/rails/activesupport/lib/active_support/dependencies.rb:495:in `requi

re'

    /opt/redmine-0.6.3/vendor/rails/railties/lib/commands/server.rb:39

    script/server:3:in `require'

    script/server:3

Associated revisions

Revision 1113 - 2008-02-03 16:34 - Jean-Philippe Lang

Do not use RedCloth's glyphs (#210).

History

#1 - 2008-02-03 16:40 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

It's not the first time that an error caused by RedCloth glyphs is reported.

They are disabled in r1113.

You should no longer get this kind of error.

#2 - 2008-08-13 13:12 - Jan Losinski

- Status changed from Closed to Reopened

There is a side effect desribed in #974.

#3 - 2008-10-18 13:21 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution set to Fixed

Side effect fixed in r1941.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1113
https://www.redmine.org/issues/974
https://www.redmine.org/projects/redmine/repository/svn/revisions/1941
